Get Grant Query Options
curl --request GET \
--url https://api.virtuoussoftware.com/api/Grant/QueryOptions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Grant/QueryOptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Grant/QueryOptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Grant/QueryOptions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Grant/QueryOptions';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"options": [
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
},
{
"parameter": "<string>",
"type": "<string>",
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
],
"valueOptions": [
"<string>",
"<string>"
]
}
],
"operatorOptions": [
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
},
{
"operator": "<string>",
"multipleValuesAllowed": "<boolean>",
"valueRequired": "<boolean>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Grants
Get Grant Query Options
Returns the fields, operators, and values you can use when building a grant query. Use it to build the groups and conditions you send to the Query Grants endpoint.
GET
/
api
/
Grant
/
QueryOptions
Get Grant Query Options
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Last modified on August 11, 2026
Was this page helpful?
⌘I